!set title=Monotonía II
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=en
leftrange=-3.000000
rightrange=3.000000
author=Gang XIAO
email=xiao@unice.fr
computeanswer=yes
precision=10000

ansorder=c,r,r,r,r
varcnt=49
prevarcnt=48
postvarcnt=0
replycnt=4
choicecnt=1
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=no
val7=inf
val8=siempre creciente
val9=siempre decreciente
val10=creciente a partir de algún valor
val11=decreciente a partir de algún valor
val12=indeterminado hacia el infinito
val13=$val12,$val8,$val9,$val10,$val11
tmp0=!randint 2, 10

tmp1=!randitem -1,1

val14=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 2, 10

tmp1=!randitem -1,1

val15=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 2, 10

tmp1=!randitem -1,1

val16=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 2, 10

tmp1=!randitem -1,1

val17=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 2, 10

tmp1=!randitem -1,1

val18=$[rint($(tmp0)*$(tmp1))]
tmp0=!randint 2, 10

val19=$[rint($(tmp0))]
tmp0=!randint 2, 10

val20=$[rint($(tmp0))]
tmp0=!randint 2, 10

val21=$[rint($(tmp0))]
tmp0=!randint 2, 10

val22=$[rint($(tmp0))]
tmp0=!randint 2, 10

val23=$[rint($(tmp0))]
tmp0=!randint 5, 15

val24=$[rint($(tmp0))]
tmp0=!randint 10, 100

val25=$[rint($(tmp0))]
tmp0=!randitem 3,4,5

val26=$[rint($(tmp0))]
tmp0=!randint 10, 90

tmp1=!randint 0, 5

tmp2=!randitem -1,1

val27=$[($(tmp0)/100+$(tmp1))*$(tmp2)]
tmp0=!randint 10, 90

tmp1=!randint 0, 5

tmp2=!randitem -1,1

val28=$[($(tmp0)/100+$(tmp1))*$(tmp2)]
tmp0=!randint 1, 20

val29=$[$(tmp0)/50+1]
tmp0=!randint 1, 20

val30=$[$(tmp0)/50+1]
tmp0=!randint 1, 10

val31=$[rint($(tmp0))]
tmp0=!randitem 2,4

tmp1=!randitem n,n^2,n^3

tmp2=!randitem 1,2,3

tmp3=!randitem 2,4

tmp4=!randitem n,n^2,n^3

tmp5=!randitem 1,2,3

tmp6=!randint 5, 15

tmp7=!randint 0, 2

tmp8=!randint 5, 15

tmp9=!randint 0, 2

tmp=!trim $val19*n/(n^2+$val25),  0, $val11, 0,diff,0,same	$val19*n/(n^2+$val25),  1, $val11, 0,diff,$val6,same	-$val19*n/(n^2+$val25),  0, $val10, diff,0,same,0	-$val19*n/(n^2+$val25),  1, $val10, diff,0,same,$val6	$val19*cos($(tmp0)*pi*n)/$(tmp1),$(tmp2),$val9, 0,start,$val6,same	-$val19*cos($(tmp3)*pi*n)/$(tmp4),$(tmp5),$val8, start,0,same,$val6	$val19*cos(pi*n/2)/(n+$val20), 0, $val12, -$val19/(2+$val20),$val19/$val20,same,same	-$val19*cos(pi*n/2)/(n+$val20), 0, $val12, -$val19/$val20,$val19/(2+$val20),same,same	$val19*sin(pi*n/2)/(n+$val20), 0, $val12, -$val19/(3+$val20),$val19/(1+$val20),same,same	-$val19*sin(pi*n/2)/(n+$val20), 0, $val12, -$val19/(1+$val20),$val19/(3+$val20),same,same	$val24*ln($(tmp6)*n+$val26)-n, $(tmp7),$val11, -$val7,diff,$val6,same	-$val24*ln($(tmp8)*n+$val26)+n, $(tmp9),$val10, diff,$val7,same,$val6		
val32=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val32

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val33=$(tmp0)
tmp0=!item 1 of $val33

val34=$(tmp0)
tmp0=!texmath $val34

val35=$(tmp0)
tmp0=!item 2 of $val33

val36=$[rint($(tmp0))]
tmp0=!item 3 of $val33

val37=$(tmp0)
tmp0=!item 4 of $val33

val38=$(tmp0)
tmp0=!item 5 of $val33

val39=$(tmp0)

!ifval $val38 notwordof start diff
t_=!replace internal \( by ( in $val38
tmp0=!exec pari $t_

val38=$(tmp0)
!endif

!ifval $val39 notwordof start diff
t_=!replace internal \( by ( in $val39
tmp0=!exec pari $t_

val39=$(tmp0)
!endif

!ifval start iswordof $val38
evaltmp=$val34

evaltmp=!mathsubst n=($val36) in $evaltmp
tmp0=($evaltmp)
val38=$[$(tmp0)]
!endif

!ifval start iswordof $val39
evaltmp=$val34

evaltmp=!mathsubst n=($val36) in $evaltmp
tmp0=($evaltmp)
val39=$[$(tmp0)]
!endif

!ifval diff iswordof $val38
tmp=!translate ;";': to $     $ in $val34,n

tmp=!lower $tmp
tmp0=!exec maxima diff($tmp);
val40=$(tmp0)
!endif

!ifval diff iswordof $val38
tmp=!replace internal .. by , in $val40,n=$val36..100 

!distribute items $tmp into tmp1,tmp2,tmp3
tmp2=!replace internal = by , in $tmp2
!distribute items $tmp2 into tmp4,tmp5
tmp0=!solve $tmp1 for $tmp4 = $tmp5 to $tmp3 
val41=$(tmp0)
!endif

!ifval diff iswordof $val38
evaltmp=$val34

evaltmp=!mathsubst n=(floor($val41)) in $evaltmp
tmp0=($evaltmp)
evaltmp=$val34

evaltmp=!mathsubst n=(ceil($val41)) in $evaltmp
tmp1=($evaltmp)
val38=$[	min($(tmp0),$(tmp1))	]
!endif

!ifval diff iswordof $val39
tmp=!translate ;";': to $     $ in $val34,n

tmp=!lower $tmp
tmp0=!exec maxima diff($tmp);
val42=$(tmp0)
!endif

!ifval diff iswordof $val39
tmp=!replace internal .. by , in $val42,n=$val36..100 

!distribute items $tmp into tmp1,tmp2,tmp3
tmp2=!replace internal = by , in $tmp2
!distribute items $tmp2 into tmp4,tmp5
tmp0=!solve $tmp1 for $tmp4 = $tmp5 to $tmp3 
val43=$(tmp0)
!endif

!ifval diff iswordof $val39
evaltmp=$val34

evaltmp=!mathsubst n=(floor($val43)) in $evaltmp
tmp0=($evaltmp)
evaltmp=$val34

evaltmp=!mathsubst n=(ceil($val43)) in $evaltmp
tmp1=($evaltmp)
val39=$[	max($(tmp0),$(tmp1))	]
!endif
tmp0=!item 6 of $val33

val44=$(tmp0)
tmp0=!item 7 of $val33

val45=$(tmp0)

!ifval $val44 iswordof same
val44=$val38
!endif

!ifval $val45 iswordof same
val45=$val39
!endif
replytype1=function
replyname1=inf{<i>u<sub>n</sub></i>}
replygood1=!rawmath $val38,$val6,$val7
replytype2=function
replyname2=sup{<i>u<sub>n</sub></i>}
replygood2=!rawmath $val39,$val6,$val7
replytype3=function
replyname3=min{<i>u<sub>n</sub></i>}
replygood3=!rawmath $val44,$val6,$val7
replytype4=function
replyname4=max{<i>u<sub>n</sub></i>}
replygood4=!rawmath $val45,$val6,$val7
choicename1=El crecimiento de la sucesión
choicegood1=$val37
choicebad1=$val13
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Estudiar el crecimiento, sup, inf, min, max de la sucesión	(<i>u<sub>n</sub></i>) para <i>n</i> $m_ge $val36, donde	<p><center>	
!insmath  u_n = $val35 \relax 
$() .	</center> <p>	Escribir <tt>$val6</tt> para indicar que determinado valor no existe, y	<tt>$val7</tt> o <tt>-$val7</tt> para +$m_infty o -$m_infty.	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=6,7,35,36
embedcnt=0
